<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<f:view>
<f:loadBundle var="locale" basename="website.resources.Localization"/>
<!doctype html public "-//w3c/dtd HTML 4.01 Transitional//en">
<html>
<head>
<title><h:outputText value="#{locale['quiz']}"/></title>
</head>
<body>
<h1><h:outputText value="#{locale['quiz']}"/></h1>
<h2><h:outputText value="#{locale['question']}"/>: <h:outputText value="#{quiz.questionIndex + 1}"/> / <h:outputText value="#{quiz.numQuestions}"/></h2>
<h:outputText rendered="#{quiz.wrong}" value="#{locale['wrongAnswer']}"/>
<h:form id="quiz">
<h:outputText value="#{quiz.question.question}"/> = <h:inputText id="answer" value="#{quiz.answer}"/>
<br>
<h:commandButton action="#{quiz.answerQuestion}" value="#{locale['answer']}"/>
</h:form>
</body>
</html>
</f:view>
